Subject: Re: Order changes in PG16 since ICU introduction

From: Tom Lane <[email-masked]>
Date: Fri, 21 Apr 2023 11:48:51 -0400

"Regina Obe" <[email-masked]> writes:
> A couple of days ago, our PostGIS PG16 bots started failing with order
> changes in text.
> We have our tests set to locale=c

> It seems since April 20th, our tests that rely on sorting characters
> changed.
> As noted in this ticket:

> https://trac.osgeo.org/postgis/ticket/5375

> I'm assuming it's result of icu change:
> https://git.postgresql.org/gitweb/?p=postgresql.git;a=commitdiff;h=fcb21b3ac
> dcb9a60313325618fd7080aa36f1626

> I suspect all our bots are compiling with icu enabled. But I haven't
> confirmed.

If they actually are using locale C, I would say this is a bug.
That should designate memcmp sorting and nothing else.

			regards, tom lane